Change log for ruby-sass package in Ubuntu

128 of 28 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-12-25
Deleted in disco-proposed (Reason: moved to release)
ruby-sass (3.5.6-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Drop obsolete README.source.
  * Update Vcs-* fields: Maintenance moved to Salsa.
  * Update watch file: Fix typo in usage comment.
  * Declare compliance with Debian Policy 4.3.0.
  * Use https protocol in Homepage URL.
  * Update copyright info:
    + Fix use https protocol in Upstream-Contact URL.
    + Extend coverage of packaging.
  * Unfuzz patch 2001.

 -- Jonas Smedegaard <email address hidden>  Mon, 24 Dec 2018 17:49:13 +0100

Available diffs

Superseded in disco-release on 2018-12-25
Published in cosmic-release on 2018-09-11
Deleted in cosmic-proposed (Reason: moved to release)
Deleted in bionic-proposed (Reason: Moved to cosmic-proposed.)
ruby-sass (3.5.3-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Use shortform dh sequencer (not cdbs).
    Stop build-depend on cdbs.
  * Stop build-depend on dh-buildinfo.
  * Tidy control file, with wrap-and-sort option asbt.
  * Declare compliance with Debian Policy 4.1.1.

 -- Jonas Smedegaard <email address hidden>  Sat, 28 Oct 2017 19:27:29 +0200

Available diffs

Superseded in cosmic-release on 2018-09-11
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
ruby-sass (3.4.23-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Instantiate Sass logger per-thread/per-fiber, configurable to
      output to any IO object.
    + Setting numeric precision is now thread safe.
    + Support world and group writable cache files.
    + Permit bare declarations in supports(...) clause within @import.
    + Fix str-slice() going to end of string even if $end-at set.
    + Fix dpi, dpcm, and dppx unit conversions.
    + Support url() containing quoted strings within unknown directives.

  [ Jonas Smedegaard ]
  * Update watch file: Use substitution string @PACKAGE@.
  * Modernize Vcs-* fields:
    + Use git subdir (not cgit) for Vcs-Browser URL.
    + Add .git suffix for Vcs-Git URL.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update copyright info:
    + Add tracking of sass-spec-ref.sh (Expat license).
    + Extend coverage of Debian packaging.
  * Modernize CDBS use: Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <email address hidden>  Sun, 22 Jan 2017 13:15:14 +0100

Available diffs

Superseded in zesty-release on 2017-01-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
ruby-sass (3.4.22-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Runs without warnings with ruby code style warnings enabled.
    + Watches current dir only when on load path or files being compiled
      are in current dir.
    + Add -q/--quiet option for sass-convert.
    + Fix sass-convert crashing bug recursively converting CSS to Sass.
    + Deprecate Ruby 1.8.7 and 1.9.3.
    + Deprecate current CSS variables handling.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Modernize to use format 4.
    + Add usage hint comment.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Tighten git-buildpackage config: filter any upstream .git* file.
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Extend coverage of packaging.
  * Modernize Vcs-Browser field: Use https protocol.
  * Declare compliance with Debian Policy 3.9.8.

 -- Jonas Smedegaard <email address hidden>  Sat, 09 Apr 2016 13:53:14 +0200

Available diffs

Superseded in yakkety-release on 2016-04-28
Published in xenial-release on 2016-01-26
Deleted in xenial-proposed (Reason: moved to release)
ruby-sass (3.4.21-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Consistent output formatting for numbers close to an integer.
    + Correctly round negative numbers that were almost but not quite a
      whole number (slightly greater than the negative number).
    + Don't strip escaped semicolons from compressed output.
    + Only compress around dashes within nth selectors.
    + Selector compression of whitespace around commas was affecting
      attribute values.
    + Make subtraction work when a unit is followed directly by a hyphen
      and then a period.  For example, `1em-.75em` now returns `0.25em`
      rather than `1em -0.75em`.  This is consistent with the behavior
      when the subtrahend begins with a `0`.

 -- Jonas Smedegaard <email address hidden>  Mon, 25 Jan 2016 18:21:07 +0530

Available diffs

Superseded in xenial-release on 2016-01-26
Deleted in xenial-proposed on 2016-01-27 (Reason: moved to release)
ruby-sass (3.4.20-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix bug with rounding changes from 3.4.14 and 3.4.15 where some
      negative numbers would incorrectly be rounded up instead of down.
    + Better compression for `:nth` pseudoselectors with subtraction.
    + Add support for new supports() clause for CSS @import directives.
    + Rounding numbers now respects Sass's precision setting for numbers
      very close to half an integer.
    + Add support for q unit, representing one quarter of a millimeter.
    + Mitigate race condition when multiple threads are using same
      Sass::Plugin object at once.
    + In compressed mode, numbers between -1 and 1 now omit leading 0.
    + Source maps now include source ranges for comments.
    Deprecation
    + Certain ways of using #{} without quotes in property and variable
      values have been deprecated in order to simplify the feature.
      Read upstream changelog for more details.

  [ Jonas Smedegaard ]
  * Unfuzz patch 1001.

 -- Jonas Smedegaard <email address hidden>  Mon, 14 Dec 2015 00:00:30 +0545

Available diffs

Superseded in xenial-release on 2015-12-14
Deleted in xenial-proposed on 2015-12-15 (Reason: moved to release)
ruby-sass (3.4.19-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Fix too aggressive semi-colon stripping in 3.4.17.
    + Improved numeric equality.
    + Allow importing relative paths on implicitly set standard input.
    + Fix edge cases with `sass-convert` and string interpolation.

  [ Jonas Smedegaard ]
  * Bump debhelper compatibility level to 9.
  * Fix lintian overrides.
  * Add lintian override regarding debhelper 9.

 -- Jonas Smedegaard <email address hidden>  Sun, 11 Oct 2015 13:31:48 +0200

Available diffs

Superseded in xenial-release on 2015-10-25
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
ruby-sass (3.4.16-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Add NEWS entry about deprecation of relative path on stdin.

 -- Jonas Smedegaard <email address hidden>  Sat, 11 Jul 2015 23:11:06 +0200

Available diffs

Superseded in wily-release on 2015-07-12
Deleted in wily-proposed on 2015-07-13 (Reason: moved to release)
ruby-sass (3.4.14-2) unstable; urgency=medium

  * Update upstream source and contact URLs.
  * Fix fail build if manpage creation fails, and cleanup if failing.
  * Update package relations:
    + Relax to build-depend unversioned on gem2deb: Needed version
      satisfied even in oldstable.
    + Stop suggest ruby-compass.
    + Provide virtual package sass.

 -- Jonas Smedegaard <email address hidden>  Mon, 25 May 2015 16:42:51 +0200

Available diffs

Superseded in wily-release on 2015-05-26
Deleted in wily-proposed on 2015-05-27 (Reason: moved to release)
ruby-sass (3.4.14-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Further avoid race conditions when caching.
    + Only emit one warning for each line that uses the deprecated form
      of unquote().
    + Stop parsing and emitting invalid @supports directives.
    + Add a deprecation warning for using != to compare a number with
      units to a number without (such warning already existed for ==).
    + Improve rounding of the results of color operations.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for mian upstream authors.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.

 -- Jonas Smedegaard <email address hidden>  Sun, 24 May 2015 17:17:03 +0200

Available diffs

Superseded in wily-release on 2015-05-24
Deleted in wily-proposed on 2015-05-26 (Reason: moved to release)
ruby-sass (3.4.13-2) unstable; urgency=medium

  * Update copyright info: Extend coverage for myself.
  * Modernize git-buildpackage config: Drop "git-" prefix.

 -- Jonas Smedegaard <email address hidden>  Wed, 13 May 2015 21:26:15 +0200

Available diffs

Superseded in wily-release on 2015-05-14
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
ruby-sass (3.4.6-2) unstable; urgency=medium


  * Release to unstable.

 -- Jonas Smedegaard <email address hidden>  Thu, 23 Oct 2014 01:22:27 +0200

Available diffs

Superseded in vivid-release on 2014-10-26
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
ruby-sass (3.3.4+really.3.2.19-3) unstable; urgency=medium


  * Fix use canonical Vcs-Git URL.
  * Rewrite patch 1002 to not hardcode full paths.
  * Fix include auto-generated man pages.
    Build-depend on help2man.

 -- Jonas Smedegaard <email address hidden>  Mon, 07 Jul 2014 15:29:46 +0200
Superseded in utopic-release on 2014-07-07
Deleted in utopic-proposed on 2014-07-08 (Reason: moved to release)
ruby-sass (3.3.4+really.3.2.19-2) unstable; urgency=medium


  * Update Maintainer, Uploaders and Vcs-* fields: Packaging git moved
    to pkg-sass area of Alioth.
  * Fix watch file version mangling.

 -- Jonas Smedegaard <email address hidden>  Thu, 01 May 2014 13:40:54 +0200
Superseded in utopic-release on 2014-05-02
Deleted in utopic-proposed on 2014-05-03 (Reason: moved to release)
ruby-sass (3.3.4+really.3.2.19-1) unstable; urgency=medium


  [ upstream ]
  * New release.
    Highlights since 3.2.12:
    + Numbers returned by user-defined functions now trigger division,
      just like numbers stored in variables.
    + Support importing files in paths with open brackets.
    + Fix `sass-convert`'s handling of rules with empty bodies when
      converting from CSS.
    + Fix CSS imports using `url()` with a quoted string and media
      queries.
    + Don't crash when parsing a directive with no name in the indented
      syntax.
    + Clean up file paths when importing to avoid errors for overlong
      path names.
    + Parse calls to functions named `true`, `false`, and `null` as
      function calls.
    + Don't move CSS `@import`s to the top of the file unless it's
      necessary.
    + Support `&.foo` when the parent selector has a newline followed by
      a comma.
    + Handle a race condition in the filesystem cache store when a cache
      entry becomes invalidated.
    + Ensure that atomic writes are fully flushed to disk.
    + Ensure that atomic writes have the same permissions as a normal
      open() would.

  [ Jonas Smedegaard ]
  * Revert to stable 3.2.x series (3.3.x not yet supported by Compass).
    Closes: bug#744943. Thanks to Christian Neumann <c@2foo.net>.
  * Fix install upstream changelog.
  * Track only stable releases:
    + Limit watch file to upstream 3.2.* version.
    + Have watch file and CDBS tarball rules strip leading ...really in
      Debian versions.
  * Drop NEWS entry related to 3.3.0 release: reverted.
  * Unfuzz (and revert DEP3 header of) patches.

 -- Jonas Smedegaard <email address hidden>  Thu, 24 Apr 2014 13:26:29 +0200

Available diffs

Superseded in utopic-release on 2014-04-26
Published in trusty-release on 2013-10-23
Deleted in trusty-proposed (Reason: moved to release)
ruby-sass (3.2.12-1) unstable; urgency=low


  [ upstream ]
  * New release.
    + Add a couple missing require, fixing some load errors, especially
      when using the command-line interface.
    + Tune up some heuristics for eliminating redundant generated
      selectors. This will prevent some selector elimination in cases
      where multi-layered @extend is being used and where it seems
      intuitively like selectors shouldn't be eliminated.

 -- Jonas Smedegaard <email address hidden>  Mon, 07 Oct 2013 20:49:17 +0200

Available diffs

Superseded in trusty-release on 2013-10-23
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
ruby-sass (3.2.9-1) unstable; urgency=low


  [ upstream ]
  * New release.

    + Fix a bug where @extend's would occasionally cause a selector to
      be generated with the incorrect specificity.
    + Avoid loading listen v1.0, even if it's installed as a Gem.
    + Update the bundled version of listen to 0.7.3.
    + Automatically avoid the IE7 "content: counter" bug.

 -- Jonas Smedegaard <email address hidden>  Mon, 13 May 2013 00:47:19 +0200

Available diffs

Superseded in saucy-release on 2013-05-13
Deleted in saucy-proposed on 2013-05-14 (Reason: moved to release)
ruby-sass (3.2.8-1) unstable; urgency=low


  [ upstream ]
  * New release.
    + Fix some edge cases where redundant selectors were emitted when
      using @extend.
    + Fix a bug where comma-separated lists with interpolation could
      lose elements.
    + Fix a bug in sass-convert where lists being passed as arguments to
      functions or mixins would lose their surrounding parentheses.
    + Fix a bug in sass-convert where null wasn't being converted
      correctly.
    + Fix a bug where multiple spaces in a string literal would
      sometimes be folded together.
    + sass and sass-convert won't create an empty file before writing to
      it.
      This fixes a flash of unstyled content when using LiveReload and
      similar tools.
    + Fix a case where a corrupted cache could produce fatal errors on
      some versions of Ruby.
    + Fix a case where a mixin loop error would be incorrectly reported
      when using @content.

  [ Jonas Smedegaard ]
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Stop track md5sum of upstream tarball.
  * Use anonscm.debian.org URL for Vcs-Git.
  * Bump packaging license to GPL-3+, and extend coverage to include
    recent years.
  * Drop obsolete breaks/replaces against libhaml-ruby.

 -- Jonas Smedegaard <email address hidden>  Mon, 06 May 2013 18:48:58 +0200

Available diffs

Superseded in saucy-release on 2013-05-07
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
ruby-sass (3.2.5-1) experimental; urgency=low


  [ upstream ]
  * New release.
    + Fix a bug where bogus `@extend` warnings were being generated.
    + Fix an `@import` bug on Windows.
    + Ruby 2.0.0-preview compatibility.
    + Fix incorrect line numbering when using DOS line endings with the
      indented syntax.

  [ Jonas Smedegaard ]
  * Have git-import-orig suppress .gitignore files.
  * Bump standards-version to 3.9.4.

 -- Jonas Smedegaard <email address hidden>  Sun, 17 Feb 2013 14:17:02 +0100

Available diffs

Superseded in raring-release on 2013-02-17
Obsolete in quantal-release on 2015-04-24
ruby-sass (3.1.19-3) unstable; urgency=low


  * Directly use github.com (not githubredir.debian.net).

 -- Jonas Smedegaard <email address hidden>  Tue, 26 Jun 2012 21:01:46 +0200

Available diffs

Superseded in quantal-release on 2012-06-29
ruby-sass (3.1.19-2) unstable; urgency=low


  * Use packaging section web (not ruby) and tidy short description:
    Sass is more a web development tool than a ruby library.
    ...Really, this time.

 -- Jonas Smedegaard <email address hidden>  Mon, 28 May 2012 12:08:37 +0200

Available diffs

Superseded in quantal-release on 2012-05-29
ruby-sass (3.1.19-1) unstable; urgency=low


  * New upstream release.
    + Fix an 'uninitialized constant Sass::Exec::Sass::Util' error when
      using the command-line tool.
    + Allow '@extend' within directives such as '@media' as long as it
      only extends selectors that are within the same directive.

  * Use packaging section web (not ruby) and tidy short description:
    Sass is more a web development tool than a ruby library.

 -- Jonas Smedegaard <email address hidden>  Sat, 26 May 2012 12:38:01 +0200

Available diffs

Superseded in quantal-release on 2012-05-27
ruby-sass (3.1.18-1) unstable; urgency=low


  * New upstream release.

 -- Jonas Smedegaard <email address hidden>  Sun, 13 May 2012 14:15:04 +0200

Available diffs

Superseded in quantal-release on 2012-05-24
ruby-sass (3.1.16-1) unstable; urgency=low


  * New upstream release.

  * Update copyright file:
    + Bump format to 1.0.
    + Fix double-indent in Copyright fields as per Policy ยง5.6.13.
  * Bump standards-version to 3.9.3.

 -- Jonas Smedegaard <email address hidden>  Tue, 24 Apr 2012 13:04:29 -0400

Available diffs

Superseded in quantal-release on 2012-05-06
Published in precise-release on 2012-02-16
ruby-sass (3.1.15-1) unstable; urgency=low


  * New upstream release.

 -- Jonas Smedegaard <email address hidden>  Fri, 10 Feb 2012 20:26:02 +0100

Available diffs

Superseded in precise-release on 2012-02-16
ruby-sass (3.1.12-1) unstable; urgency=low

  * New upstream release.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  03 Jan 2012 02:35:44 +0000

Available diffs

Superseded in precise-release on 2012-01-03
ruby-sass (3.1.11-1) unstable; urgency=low

  * New upstream release.
  * Unfuzz patch 1001.
  * Drop dpkg local-options hints from packaging source: now defaults.
  * Update package relations:
    + Relax build-dependency on cdbs (needlessly tight).
    + Relax build-depend unversioned on debhelper (needed version
      satisfied even in oldstable).
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  12 Dec 2011 12:01:46 +0000

Available diffs

Superseded in precise-release on 2011-12-12
ruby-sass (3.1.7-1) unstable; urgency=low

  * New upstream release.

128 of 28 results